This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 493548 - KMS.RV380:Radeon X600 second monitor is not turned on after resume
KMS.RV380:Radeon X600 second monitor is not turned on after resume
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati (Show other bugs)
12
All Linux
low Severity medium
: ---
: ---
Assigned To: Dave Airlie
Fedora Extras Quality Assurance
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-02 04:12 EDT by David Tardon
Modified: 2010-12-05 01:57 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-05 01:57:52 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
output of xrandr --verbose (5.36 KB, text/plain)
2009-04-02 04:12 EDT, David Tardon
no flags Details
Xorg.0.log (79.84 KB, text/plain)
2009-04-02 04:12 EDT, David Tardon
no flags Details

  None (edit)
Description David Tardon 2009-04-02 04:12:09 EDT
Description of problem:
For this test, I have a two-head configuration in mirror mode (because side-by-side doesn't work without nomodeset). After suspend and resume, just one of the monitors (DVI-1) is turned on.


Version-Release number of selected component (if applicable):
xorg-x11-drv-ati-6.12.1-2.fc11.x86_64


How reproducible:
always


Steps to Reproduce:
1. suspend X
2. resume
  

Actual results:
Just the left monitor is turned on.


Expected results:
Both monitors are turned on (hopefully in proper side-by-side mode, but
that's another bug.)


Additional info:

xrandr --output DVI-0 --auto

messes output on DVI-1; DVI-0 stays turned off.
Comment 1 David Tardon 2009-04-02 04:12:35 EDT
Created attachment 337742 [details]
output of xrandr --verbose
Comment 2 David Tardon 2009-04-02 04:12:55 EDT
Created attachment 337743 [details]
Xorg.0.log
Comment 3 Bill McGonigle 2009-05-22 21:20:47 EDT
I was having this problem previously, but it seems to work properly in latest rawhide.
Comment 4 Matěj Cepl 2009-05-25 18:37:52 EDT
David, can you still reproduce the issue with the latest packages from Rawhide?
Comment 5 David Tardon 2009-05-26 01:43:53 EDT
Yes, It's still there with
xorg-x11-drv-ati-6.12.2-14.fc11.x86_64

The only difference is that

xrandr --output DVI-0 --auto

has no visible effect now.
Comment 6 Bug Zapper 2009-06-09 09:04:35 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Matěj Cepl 2009-11-05 13:24:46 EST
Since this bugzilla report was filed, there have been several major updates in various components of the Xorg system, which may have resolved this issue. Users who have experienced this problem are encouraged to upgrade their system to the latest version of their packages. For packages from updates-testing repository you can use command

yum upgrade --enablerepo='*-updates-testing'

Alternatively, you can also try to test whether this bug is reproducible with the upcoming Fedora 12 distribution by downloading LiveMedia of F12 Beta available at http://alt.fedoraproject.org/pub/alt/nightly-composes/ . By using that you get all the latest packages without need to install anything on your computer. For more information on using LiveMedia take a look at https://fedoraproject.org/wiki/FedoraLiveCD .

Please, if you experience this problem on the up-to-date system, let us now in the comment for this bug, or whether the upgraded system works for you.

If you won't be able to reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[This is a bulk message for all open Fedora Rawhide Xorg-related bugs. I'm adding myself to the CC list for each bug, so I'll see any comments you make after this and do my best to make sure every issue gets proper attention.]
Comment 8 David Tardon 2009-11-06 03:56:25 EST
Still reproducible with

xorg-x11-drv-ati-6.13.0-0.10.20091006git457646d73.fc12.x86_64
xorg-x11-server-Xorg-1.7.1-7.fc12.x86_64
kernel-2.6.32-0.33.rc5.git1.fc13.x86_64

The only change is that now the monitor that is turned on is black.
Comment 9 Bug Zapper 2010-04-27 09:26:37 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 10 Vedran Miletić 2010-05-24 15:26:36 EDT
Improving summary.

---

Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

[This triage is part of collective effort done by students of University of
Rijeka Department of Informatics.]
Comment 11 Bug Zapper 2010-11-04 07:23:42 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 12 Bug Zapper 2010-12-05 01:57:52 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.